import { Series } from "./Series";
import { Point, Type } from "igniteui-react-core";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected xg(a: Series): boolean;
    protected w8: AnnotationLayerView;
    xi: boolean;
    xj: boolean;
    zt: Point;
    xd: boolean;
    protected get_e1(): boolean;
    wz: AnnotationAppearanceMode;
    ww: AnnotationAppearanceMode;
    xw: number;
    xl: number;
    w6: AnnotationAppearanceMode;
    wx: AnnotationAppearanceMode;
    w7: AnnotationAppearanceMode;
    wy: AnnotationAppearanceMode;
    xv: number;
    xk: number;
    xx: number;
    xm: number;
    zq: DoubleCollection;
    zk: DoubleCollection;
    zr: DoubleCollection;
    zl: DoubleCollection;
    protected b2(): SeriesHitTestMode;
    protected get_fg(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected zu: Point;
    private yw;
    private yv;
    private yr;
    private yq;
    protected xe(a: Axis): boolean;
    private yk;
    protected xf(a: Series): boolean;
    private yu;
    protected ym(a: Axis, b: boolean): void;
    protected yn(a: Series, b: boolean): void;
    private yt;
    private yj;
    protected zi(): Brush;
    protected zj(): Brush;
    protected yl(a: NotifyCollectionChangedEventArgs): void;
    protected yo(a: NotifyCollectionChangedEventArgs): void;
    protected xa: Frame;
    protected w9: Frame;
    protected xb: Frame;
    protected sp(a: Rect, b: Rect): void;
    protected so(a: Rect, b: Rect): void;
    rq(a: boolean): void;
    protected get_es(): boolean;
    protected yp(a: Frame, b: SeriesView): void;
    protected ys(a: Frame, b: SeriesView): void;
    protected yi(a: Series): Tuple$2<boolean, Point>;
    protected qp(a: Point): void;
    zs: Point;
    he(a: Rect, b: Rect, c: SeriesView): boolean;
    protected xt(): number;
    protected xs(): number;
    protected xu(): number;
    protected w3(): AnnotationAppearanceMode;
    protected w4(): AnnotationAppearanceMode;
    protected w5(): AnnotationAppearanceMode;
    protected zo(): DoubleCollection;
    protected zp(): DoubleCollection;
    protected w0(): AnnotationAppearanceMode;
    protected w1(): AnnotationAppearanceMode;
    protected w2(): AnnotationAppearanceMode;
    protected xn(): number;
    protected xq(): number;
    protected xp(): number;
    protected xo(): number;
    protected xr(): number;
    protected zm(): DoubleCollection;
    protected zn(): DoubleCollection;
    protected yx(): void;
    protected get_ha(): boolean;
    private xc;
    get xh(): boolean;
    set xh(a: boolean);
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected b0: AnnotationLayer;
    private b1;
    private b2;
    private b6;
    b3(): void;
    b5(): void;
    b4(): void;
}
